#include<iostream>
using namespace std;
int main()
{
    unsigned long long l, distance = 0, jump, i;
    int m, n;
    cin>>l>>m>>n;
    jump = m;
    for(i = 1; i <= l; i++)
    {
        distance += jump;
        jump += n;
        if(distance > l)
        {
            break;
        }
    }
    cout<<i;
    return 0;
}
